## sieve-connect 0.41

=== Makefile ===
# These targets are those you might want to override at install time
INSTALLPROG=install
INSTALLROOT=
INSTALLARGS=
PREFIX=/usr/local
BINDIR=bin
BINPERM=0755
# Might use: MANDIR=share/man
MANDIR=man
MANSECTDIR=man1
MANPERM=0644
PERL5BIN=`sh ./find-perl58.sh`
SED=sed
CHMOD=chmod
RM=rm

# These you probably don't want to adjust
SCRIPTNAME=sieve-connect
MANPAGE=sieve-connect.1
SCRIPTSRC=sieve-connect.pl
TARPREFIX=sieve-connect
DISTFILES=$(SCRIPTSRC) $(MANPAGE) ChangeLog Makefile README LICENSE find-perl58.sh
GPG=gpg
PGPSIGNKEY=0x3903637F

TARVERSIONMAJ=0
# Set this to .N if not dealing with first release based on a given svn version
TARVERSIONPATCH=

# ======================================================================
# Targets for builders/installers

all: $(SCRIPTNAME)

install: all install-bin install-man

install-bin: $(SCRIPTNAME)
	$(INSTALLPROG) -m $(BINPERM) $(INSTALLARGS) $(SCRIPTNAME) $(INSTALLROOT)$(PREFIX)/$(BINDIR)

# making the man-page is dependent upon files not distributed, so they're
# regenerated, so we don't list it as a dependency here -- instead we
# assume that the maintainer created it for us (as a tarball depenency)
install-man:
	$(INSTALLPROG) -m $(MANPERM) $(INSTALLARGS) $(MANPAGE) $(INSTALLROOT)$(PREFIX)/$(MANDIR)/$(MANSECTDIR)

bin $(SCRIPTNAME): $(SCRIPTSRC)
	$(SED) <"$(SCRIPTSRC)" >"$(SCRIPTNAME)" "1s:/.*:$(PERL5BIN):"
	$(CHMOD) +x "$(SCRIPTNAME)"

clean:
	$(RM) -f "./$(SCRIPTNAME)"

# ======================================================================
# Targets after here are for distributors

dist: tarball pgpsig

# This can use non-portable commands, so shove into subdir
tarball: $(DISTFILES) versionfile
	pax -w -s ",^,$(TARPREFIX)-`cat versionfile`/," $(DISTFILES) > $(TARPREFIX)-`cat versionfile`.tar
	bzip2 -9 $(TARPREFIX)-`cat versionfile`.tar

pgpsig: tarball versionfile
	$(GPG) -a --detach-sign --default-key $(PGPSIGNKEY) $(TARPREFIX)-`cat versionfile`.tar.bz2

man $(MANPAGE): $(SCRIPTSRC) datefile versionfile
	pod2man -n "$(SCRIPTNAME)" -c '' -d "`cat datefile`" -r "`cat versionfile`" "$(SCRIPTSRC)" >"$(MANPAGE)"

# filter is against spammers (see README)
ChangeLog: .svn/text-base/*
	TZ='' svn log | sed '/^r[0-9]/s/|[^|]*|/| XXX |/' > ChangeLog

# NB: Id tag is already in zulu time, so no problem with program itself
datefile versionfile: .svn/text-base/*
	TZ='' svn up
	TZ='' svn info | sed -n "s/^Revision: \(.*\)/$(TARVERSIONMAJ).\1$(TARVERSIONPATCH)/p" > versionfile
	TZ='' svn info | sed -n 's/^Last Changed Date: \([^ ]*\) .*/\1/p' >datefile

distclean: clean
	$(RM) -f "./$(MANPAGE)" ./ChangeLog ./versionfile ./datefile

## sieve-connect 0.69

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 MANPAGE=sieve-connect.1
 SCRIPTSRC=sieve-connect.pl
 TARPREFIX=sieve-connect
-DISTFILES=$(SCRIPTSRC) $(MANPAGE) ChangeLog Makefile README LICENSE find-perl58.sh
+DISTFILES=$(SCRIPTSRC) $(MANPAGE) ChangeLog Makefile README LICENSE TODO find-perl58.sh
 GPG=gpg
 PGPSIGNKEY=0x3903637F
 
@@ -72,6 +72,8 @@
 
 # NB: Id tag is already in zulu time, so no problem with program itself
 datefile versionfile: .svn/text-base/*
+	@grep -q "Copyright.*\\<`date +%Y`" $(SCRIPTSRC) || { echo "Current year not in $(SCRIPTSRC) Copyright line"; false; }
+	@grep -q "Copyright.*\\<`date +%Y`" LICENSE || { echo "Current year not in LICENSE Copyright line"; false; }
 	TZ='' svn up
 	TZ='' svn info | sed -n "s/^Revision: \(.*\)/$(TARVERSIONMAJ).\1$(TARVERSIONPATCH)/p" > versionfile
 	TZ='' svn info | sed -n 's/^Last Changed Date: \([^ ]*\) .*/\1/p' >datefile

## sieve-connect 0.81

=== debian/changelog ===
sieve-connect (0.81-3) unstable; urgency=low

  * debian/rules: added build-{arch,indep} targets

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Feb 2012 09:39:56 -0800

sieve-connect (0.81-2) unstable; urgency=low

  * debian/control: add dependency on libnet-dns-perl (closes: #637413)
  * debian/control: recommend libterm-readline-gnu-perl (closes: #643683)

 -- Andrew Pollock <apollock@debian.org>  Fri, 06 Jan 2012 09:25:29 -0800

sieve-connect (0.81-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version
  * debian/control: reworded package description
  * debian/rules: switched from deprecated dh_clean -k to dh_prep
  * debian/compat: up to 7
  * switched to 3.0 (quilt) source format

 -- Andrew Pollock <apollock@debian.org>  Wed, 25 May 2011 23:05:11 -0700

sieve-connect (0.73-1) unstable; urgency=low

  * New upstream release
  * debian/control: added ${misc:Depends} to Depends
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Sun, 25 Jul 2010 09:55:23 -0700

sieve-connect (0.69-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Fri, 08 May 2009 18:05:49 -0700

sieve-connect (0.59-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Sun, 13 Jul 2008 13:29:35 -0700

sieve-connect (0.57-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Wed, 23 Apr 2008 11:02:54 -0700

sieve-connect (0.56-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Fri, 28 Mar 2008 12:38:55 -0700

sieve-connect (0.52-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Mon, 24 Mar 2008 07:59:52 -0700

sieve-connect (0.44-2) unstable; urgency=low

  * Install the upstream changelog (closes: #472446)

 -- Andrew Pollock <apollock@debian.org>  Mon, 24 Mar 2008 07:46:55 -0700

sieve-connect (0.44-1) unstable; urgency=low

  * New upstream release
  * Really added debian/watch
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Sat, 22 Mar 2008 21:44:33 -0700

sieve-connect (0.41-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch

 -- Andrew Pollock <apollock@debian.org>  Mon, 26 Nov 2007 11:18:28 -0800

sieve-connect (0.33-1) unstable; urgency=low

  * Initial release (closes: #429950)

 -- Andrew Pollock <apollock@debian.org>  Thu, 21 Jun 2007 13:08:50 +0100

=== debian/control ===
Source: sieve-connect
Section: net
Priority: optional
Build-Depends: debhelper (>> 5)
Maintainer: Andrew Pollock <apollock@debian.org>
Standards-Version: 3.9.2

Package: sieve-connect
Architecture: all
Depends: ${perl:Depends}, libauthen-sasl-perl (>= 2.11-1), libio-socket-inet6-perl, libnet-dns-perl, libio-socket-ssl-perl, libmime-base64-perl, perl-modules, libterm-readkey-perl, ${misc:Depends}
Recommends: libterm-readline-gnu-perl
Description: MANAGESIEVE protocol client
 This is sieve-connect.  A client for the MANAGESIEVE protocol, as
 implemented by timsieved in Cyrus IMAP.
 .
 sieve-connect is designed to be both a tool which can be invoked from
 scripts and also a decent interactive client.  It should also be a
 drop-in replacement for "sieveshell", as supplied with Cyrus IMAP.

## sieve-connect 0.83

=== debian/changelog ===
sieve-connect (0.83-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Wed, 23 May 2012 19:54:01 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>> 5)
 Maintainer: Andrew Pollock <apollock@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: sieve-connect
 Architecture: all

## sieve-connect 0.87

=== Makefile ===
# These targets are those you might want to override at install time
INSTALLPROG=install
INSTALLROOT=
INSTALLARGS=
PREFIX=/usr/local
BINDIR=bin
BINPERM=0755
# Might use: MANDIR=share/man
MANDIR=man
MANSECTDIR=man1
MANPERM=0644
PERL5BIN=`sh ./find-perl58.sh`
SED=sed
CHMOD=chmod
RM=rm

# These you probably don't want to adjust
SCRIPTNAME=sieve-connect
MANPAGE=sieve-connect.1
SCRIPTSRC=sieve-connect.pre.pl
SCRIPTDIST=sieve-connect.pl
TARPREFIX=sieve-connect
DISTFILES=$(SCRIPTDIST) $(MANPAGE) ChangeLog Makefile README.md LICENSE TODO find-perl58.sh
GPG=gpg
PGPSIGNKEY=0x3903637F

# ======================================================================
# Targets for builders/installers

all: $(SCRIPTNAME)

install: all install-bin install-man

install-bin: $(SCRIPTNAME)
	$(INSTALLPROG) -m $(BINPERM) $(INSTALLARGS) $(SCRIPTNAME) $(INSTALLROOT)$(PREFIX)/$(BINDIR)/./

# making the man-page is dependent upon files not distributed, so they're
# regenerated, so we don't list it as a dependency here -- instead we
# assume that the maintainer created it for us (as a tarball depenency)
install-man:
	$(INSTALLPROG) -m $(MANPERM) $(INSTALLARGS) $(MANPAGE) $(INSTALLROOT)$(PREFIX)/$(MANDIR)/$(MANSECTDIR)/./

bin $(SCRIPTNAME): $(SCRIPTDIST)
	$(SED) <"$(SCRIPTDIST)" >"$(SCRIPTNAME)" "1s:/.*:$(PERL5BIN):"
	$(CHMOD) +x "$(SCRIPTNAME)"

clean:
	$(RM) -f "./$(SCRIPTNAME)"

# ======================================================================

=== debian/changelog ===
sieve-connect (0.87-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Mon, 17 Feb 2014 13:41:10 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>> 5)
 Maintainer: Andrew Pollock <apollock@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: sieve-connect
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=$(shell awk '/^Package:/ {print $$2}' ./debian/control)
DESTDIR=$(CURDIR)/debian/$(PACKAGE)

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) PERLINT=perl
	touch $@

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp *~ debian/*~ configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install MANDIR=share/man PREFIX=/usr INSTALLROOT=$(DESTDIR)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# nothing to do

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## sieve-connect 0.88

=== debian/changelog ===
sieve-connect (0.88-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)
  * debian/compat: increased to 9
  * debian/control: adjusted versioned build dependency on debhelper accordingly
  * debian/control: removed dependency on perl-modules

 -- Andrew Pollock <apollock@debian.org>  Tue, 30 Aug 2016 20:13:26 +1000

=== debian/control ===
Source: sieve-connect
Section: net
Priority: optional
Build-Depends: debhelper (>> 9)
Maintainer: Andrew Pollock <apollock@debian.org>
Standards-Version: 3.9.8

Package: sieve-connect
Architecture: all
Depends: ${perl:Depends}, libauthen-sasl-perl (>= 2.11-1), libio-socket-inet6-perl, libnet-dns-perl, libio-socket-ssl-perl, libmime-base64-perl, libterm-readkey-perl, ${misc:Depends}
Recommends: libterm-readline-gnu-perl
Description: MANAGESIEVE protocol client
 This is sieve-connect.  A client for the MANAGESIEVE protocol, as
 implemented by timsieved in Cyrus IMAP.
 .
 sieve-connect is designed to be both a tool which can be invoked from
 scripts and also a decent interactive client.  It should also be a
 drop-in replacement for "sieveshell", as supplied with Cyrus IMAP.

## sieve-connect 0.90

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 TARPREFIX=sieve-connect
 DISTFILES=$(SCRIPTDIST) $(MANPAGE) ChangeLog Makefile README.md LICENSE TODO find-perl58.sh
 GPG=gpg
-PGPSIGNKEY=0x3903637F
+PGPSIGNKEY=0x4D1E900E14C1CC04
 
 # ======================================================================
 # Targets for builders/installers
@@ -47,4 +47,15 @@
 clean:
 	$(RM) -f "./$(SCRIPTNAME)"
 
+# This target is for GNU make but being defined here does not prevent BSD make
+# from using this file (the target won't work on BSD, but that's okay).
+# Where BSD lets you `make -V VARNAME` to print the value of a variable instead
+# of building a target, this gives GNU make a target `print-VARNAME` to print
+# the value.  I have so missed this when using GNU make.
+#
+# This rule comes from a comment on
+#   <http://blog.jgc.org/2015/04/the-one-line-you-should-add-to-every.html>
+# where the commenter provided the shell meta-character-safe version.
+print-%: ; @echo '$(subst ','\'',$*=$($*))'
+
 # ======================================================================

=== debian/changelog ===
sieve-connect (0.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #975410)

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Nov 2020 21:21:37 +0100

sieve-connect (0.90-1) unstable; urgency=medium

  * New upstream release (closes: #947213)
  * Acknowledge NMU. Thanks to itd
  * debian/compat: bump to 12
  * debian/control: adjust build-dep on debhelper
  * debian/control: add dependency on sensible-utils
  * debian/control: bumped Standards-Version

 -- Andrew Pollock <apollock@debian.org>  Tue, 22 Sep 2020 21:31:53 +1000

sieve-connect (0.88-1.1) unstable; urgency=medium

  [ itd ]
  * Non-maintainer upload.
  * Escaped left brace in regex (Closes: #882942)

 -- itd <itd@firemail.cc>  Sat, 14 Mar 2020 15:02:14 +0100

=== debian/control ===
Source: sieve-connect
Section: net
Priority: optional
Build-Depends: debhelper (>> 12)
Maintainer: Andrew Pollock <apollock@debian.org>
Standards-Version: 4.5.0

Package: sieve-connect
Architecture: all
Depends: ${perl:Depends}, libauthen-sasl-perl (>= 2.11-1), libio-socket-inet6-perl, libnet-dns-perl, libio-socket-ssl-perl, libmime-base64-perl, libterm-readkey-perl, sensible-utils, ${misc:Depends}
Recommends: libterm-readline-gnu-perl
Description: MANAGESIEVE protocol client
 This is sieve-connect.  A client for the MANAGESIEVE protocol, as
 implemented by timsieved in Cyrus IMAP.
 .
 sieve-connect is designed to be both a tool which can be invoked from
 scripts and also a decent interactive client.  It should also be a
 drop-in replacement for "sieveshell", as supplied with Cyrus IMAP.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

PACKAGE=$(shell awk '/^Package:/ {print $$2}' ./debian/control)
DESTDIR=$(CURDIR)/debian/$(PACKAGE)

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_auto_install:
	$(MAKE) install MANDIR=share/man PREFIX=/usr INSTALLROOT=$(DESTDIR)

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
http://people.spodhuis.org/phil.pennock/software/ sieve-connect-(.*)\.tar\.bz2

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz
